Subject: Re: bug#13984: Automate the build of ja-dic.el

From: Eli Zaretskii <[email-masked]>
Date: Sun, 17 Mar 2013 05:55:17 +0200

> From: Stefan Monnier <[email-masked]>
> Date: Sat, 16 Mar 2013 22:36:14 -0400
> Cc: [email-masked], Kenichi Handa <[email-masked]>
> 
> > builds are unchanged; the patch should affect only bootstrap builds.
> 
> By "bootstrap builds" you mean "builds from the Bzr repository".  As it
> turns out, these are the most important builds, I think.
> 
> So the problem I see with your patch (whose goal I agree with) is that
> it adds a dependency on Awk, which is probably going to be a problem for
> the Windows contributors.

Right.  Another problem is with the file name SKK-JISYO.L.unannotated,
since it clashes with SKK-JISYO.L on 8+3 DOS filesystems.  Can we use
a different name, please?

> Why not replace leim/SKK-DIC/unannotation.awk with
> leim/SKK-DIC/unannotation.el?

Yes, that would be much better.

Thanks.